% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/class-app.R
\name{convert_app}
\alias{convert_app}
\alias{appType}
\title{Convert App or a CWL JSON file to Tool or Flow object}
\usage{
convert_app(from)

appType(x)
}
\arguments{
\item{from}{an App object or a CWL JSON}

\item{x}{a App object}
}
\value{
Tool or Flow object depends on CWL type.
}
\description{
Convert App or a CWL JSON file to Tool or Flow object
}
\details{
This function import CWL JSON file, based on its class: CommandLineTool
or Worklfow to relevant object in R, Tool object or Flow object.
}
\section{appType}{

\describe{
 this function return class of a App object.}
}

\examples{
tool.in <- system.file("extdata/app", "tool_star.json", package = "sevenbridges")
flow.in <- system.file("extdata/app", "flow_star.json", package = "sevenbridges")
# convert to Tool object
convert_app(tool.in)
# convert to Flow object
convert_app(flow.in)
}
